#include <bits/stdc++.h>
#define ubrzaj ios_base::sync_with_stdio(false);cin.tie(0);cout.tie(0)

using namespace std;

int main()
{
    ubrzaj;

    int n;cin >> n;
    vector<int> x(n),y(n),z(n);
    for(int i=0; i<n; i++)cin >> x[i];
    for(int i=0; i<n; i++)cin >> y[i];
    for(int i=0; i<n; i++)cin >> z[i];
    int res=0;
    //sort(x.begin(),x.end());
    for(int i=0; i<n; i++)
        for(int j=0; j<n; j++)
            if(x[i]==y[z[j]-1])res++;
        //if(binary_search(x.begin(),x.end(),y[z[i]])==true)res++;
    cout << res << endl;
    return 0;
}